package com.dbxml.db.admin.swing;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: BooleanPropertyEditor.java,v 1.2 2004/07/21 00:44:32 bradford Exp $
 */

import javax.swing.JComboBox;

/**
 * BooleanPropertyEditor
 */

public class BooleanPropertyEditor extends JComboBox implements PropertyEditor {
   private static final String FALSE = "false";
   private static final String TRUE = "true";

   public BooleanPropertyEditor() {
      super();
      addItem(FALSE);
      addItem(TRUE);
   }

   public void setText(String text) {
      if ( text != null && text.equals(TRUE) )
         setSelectedIndex(1);
      else
         setSelectedIndex(0);
   }

   public String getText() {
      return (String)getSelectedItem();
   }

   public void stopEditing() {
      hidePopup();
   }

   public void selectAll() {
   }
}

